Downloads the events of a job

GET /jobs/{jobId}/logs/download

Downloads the events of a job

Path parameters

  • jobId string Required

    Job ID

    Format should match the following pattern: ^[A-Za-z0-9\-]+$.

Responses

  • 200 application/zip

    OK

  • 404 application/json

    Not found

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

  • 500 application/json

    Internal Server Error

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

GET /jobs/{jobId}/logs/download
curl \
 --request GET 'http://127.0.0.1:8278/api/v1/jobs/{jobId}/logs/download'
Response examples (404)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}
Response examples (500)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}